Name:		gtkdialogs
Version:	2.2
Release:	%mkrel 1
Source:		gtkdialogs-2.2.tar.bz2
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Summary:	Ready-to-use gtk+ dialog boxes
Provides:	gchooser gmessage xtest
Group:		System/Configuration/Packaging
BuildRequires:	gtk+2-devel

%description
Ready-to-use gtk+ dialog boxes:
- xtest lets you test if X is running or not
- gmessage show a message and some buttons, it returns with the number of the
  pressed button
- gchooser presents a list of entries from which the user can choose
- gfilechooser helps choosing a filename or dirname

%prep
%setup -n %{name} -q

%build
make clean
%make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*


%changelog
* Mon Aug 28 2006 Pixel <pixel@mandriva.com>
+ 2006-08-28 14:05:25 (58305)
- move from /usr/X11R6/bin to /usr/bin

* Mon Aug 28 2006 Pixel <pixel@mandriva.com>
+ 2006-08-28 13:57:21 (58300)
- Import gtkdialogs


* Sun Jun 18 2006 Stefan van der Eijk <stefan@eijk.nu.lurtspam> 2.1-3
- rebuild for png
- %%mkrel

* Thu Oct 13 2005 Pixel <pixel@mandriva.com> 2.1-2mdk
- rebuild

* Mon Feb  9 2004 Guillaume Cottenceau <gc@mandrakesoft.com> 2.1-1mdk
- add gfilechooser
- gmessage: allow to have a comma in buttons, when it's backslashed

* Tue Aug 12 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0-6mdk
- BuildRequires: gtk+2-devel
- Patch3: Use pkg-config to get (correct) CFLAGS & LDFLAGS

* Wed Jul 23 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.0-5mdk
- fix gcc-3.3 patch (P2)

* Fri Jul 18 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.0-4mdk
- fix gcc-3.3 build (P2)
- rm -rf $RPM_BUILD_ROOT in %%install
- use %%make macro
- cosmetics

* Thu Mar  6 2003 Pixel <pixel@mandrakesoft.com> 2.0-3mdk
- fix usage of gmessage (bug #2832)

* Wed Mar  5 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0-2mdk
- gmessage: have the textview not editable and the cursor hidden,
  so that keyboard TAB will work as expected

* Fri Feb 21 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 2.0-1mdk
- ported to gtk2
- changed textdomain to "gtk+mdk"

* Wed Jul 31 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2-3mdk
- lib64 fixes, don't self-clean build_dir when done compiling

* Fri Feb  8 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.2-2mdk
- make clean to remove x86 .o files left in tarball before build

* Wed Jan 30 2002 Pixel <pixel@mandrakesoft.com> 1.2-1mdk
- corrected i18n problem 

* Sun Jan 13 2002 Pixel <pixel@mandrakesoft.com> 1.1-1mdk
- new version (with -center, -nearmouse and -timeout handling, thanks to Andre van Dijk)

* Tue Mar 13 2001 Francis Galiegue <fg@mandrakesoft.com> 1.0-3mdk
- 64bit fixes for ia64

* Tue Mar  6 2001 DindinX <odin@mandrakesoft.com> 1.0-2mdk
- rebuild

* Mon Aug 07 2000 DindinX <odin@mandrakesoft.com> 1.0-1mdk
- very first release as a standalone package
